// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace ateneo.utiles
{
    public class LogExcepcion
    {
        public static void guardar(string s, Exception ex) {
            try {
                StreamWriter sw = new StreamWriter("excepciones.log", true, Encoding.Default);
                DateTime d = DateTime.Now;
                sw.WriteLine("*****  " + Fecha.formatoFechaCorta(d) + " " + Fecha.formatoHoraHMS(d) + " *****");
                sw.WriteLine(s);
                sw.WriteLine(ex.Message);
                sw.WriteLine(ex.StackTrace);
                sw.Close();
            } catch (Exception exc) {
                System.Windows.Forms.MessageBox.Show("Excepcion al guardar log: " + exc.Message);
            }
            System.Windows.Forms.MessageBox.Show(s + "\n" + ex.Message);
        }

        public static void guardarConmutarNavegacion(string s) {
            try {
                StreamWriter sw = new StreamWriter("navegacion.log", true, Encoding.Default);
                DateTime d = DateTime.Now;
                sw.WriteLine("*****  " + Fecha.formatoFechaCorta(d) + " " + Fecha.formatoHoraHMS(d) + " *****");
                sw.WriteLine(s);
                sw.Close();
            } catch (Exception) { }
        }
    }
}
